#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
%define		pyname		python3
%define		sname		%(echo %{name} | sed 's/^\./\\u&/')
%define		pyt3num		%(%{pyname} --version | cut -d ' ' -f2 | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	cython
Version		:	3.0.6
Release		:	16.2.0.rel%{?dist}
Summary		:	Language for writing Python extension modules

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	http://www.cython.org
			# https://pypi.org/project/Cython/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	%{pyname}
#-----------------------------------------------------------------------------
%description
This is a development version of Pyrex, a language
for writing Python extension modules.

#-----------------------------------------------------------------------------
#============================================================================
%package -n		%{pyname}-%{name}
Summary		:	%{summary}

BuildRequires	:  	python3-setuptools

Provides	:  	%{name}

#-----------------------------------------------------------------------------
%description -n		%{pyname}-%{name}
%{description}

#-----------------------------------------------------------------------------
%files -n		%{pyname}-%{name}
%defattr(-,root,root,-)
%{_bindir}/cygdb
%{_bindir}/%{name}
%{_bindir}/%{name}ize
%{python3_sitearch}/%{sname}/*.py
%{python3_sitearch}/%{sname}/Shadow.pyi
%{python3_sitearch}/%{sname}/StringIOTree.cpython-311-x86_64-linux-gnu.so
%{python3_sitearch}/%{sname}/Utils.cpython-311-x86_64-linux-gnu.so
%{python3_sitearch}/%{sname}/Build/*.py
%{python3_sitearch}/%{sname}/Build/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Build/Tests/*.py
%{python3_sitearch}/%{sname}/Build/Tests/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Compiler/*.{pxd,py}
%{python3_sitearch}/%{sname}/Compiler/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Compiler/*.so
%{python3_sitearch}/%{sname}/Compiler/Tests/*.py
%{python3_sitearch}/%{sname}/Compiler/Tests/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Debugger/*.py
%{python3_sitearch}/%{sname}/Debugger/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Debugger/Tests/cfuncs.c
%{python3_sitearch}/%{sname}/Debugger/Tests/codefile
%{python3_sitearch}/%{sname}/Debugger/Tests/*.py
%{python3_sitearch}/%{sname}/Debugger/Tests/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Distutils/*.py
%{python3_sitearch}/%{sname}/Distutils/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Includes/cpython/*.pxd
%{python3_sitearch}/%{sname}/Includes/libc/*.pxd
%{python3_sitearch}/%{sname}/Includes/libcpp/*.pxd
%{python3_sitearch}/%{sname}/Includes/numpy/*.pxd
%{python3_sitearch}/%{sname}/Includes/posix/*.pxd
%{python3_sitearch}/%{sname}/Includes/*.pxd
%{python3_sitearch}/%{sname}/Plex/*.{pxd,py}
%{python3_sitearch}/%{sname}/Plex/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Plex/*.so
%{python3_sitearch}/%{sname}/Runtime/*.so
%{python3_sitearch}/%{sname}/Runtime/*.py
%{python3_sitearch}/%{sname}/Runtime/refnanny.pyx
%{python3_sitearch}/%{sname}/Runtime/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Tempita/*.so
%{python3_sitearch}/%{sname}/Tempita/*.py
%{python3_sitearch}/%{sname}/Tempita/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Tests/*.py
%{python3_sitearch}/%{sname}/Tests/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/Utility/*.{c,cpp,h,py,pyx}
%{python3_sitearch}/%{sname}/Utility/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/__pycache__/*.pyc
%{python3_sitearch}/*.py
%{python3_sitearch}/__pycache__/*.pyc
%{python3_sitearch}/pyximport/__pycache__/*.pyc
%{python3_sitearch}/pyximport/*.py
%{python3_sitearch}/%{sname}-%{version}.dist-info/

#============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
